# https://sourceforge.net/projects/pyparsing/files/pyparsing/pyparsing-2.2.0/pyparsing-2.2.0.tar.gz
%define module pyparsing

Name:           python-%{module}
Version:        2.2.0
Release:        %mkrel 2
Summary:        A general parsing module for Python

License:        MIT
Group:          Development/Python
URL:            http://pyparsing.wikispaces.com/
Source0:        %{module}-%{version}.tar.xz

BuildArch:      noarch
BuildRequires:  python-devel
BuildRequires:  python-setuptools
%rename         python-parsing

%description
The pyparsing module is an alternative approach to creating and executing
simple grammars, vs. the traditional lex/yacc approach, or the use of regular
expressions. The pyparsing module provides a library of classes that client
code uses to construct the grammar directly in Python code.

%package docs
Summary:        A general parsing module for Python
Group:          Documentation
BuildArch:      noarch

%description docs
This package includes the HTML documentataion and examples of %{module}.

%package -n python3-%{module}
Summary:        A general parsing module for Python 3
Group:          Development/Python
BuildRequires:  python3-devel
BuildRequires:  python3-setuptools
%rename         python3-parsing

%description -n python3-%{module}
The pyparsing module is an alternative approach to creating and executing
simple grammars, vs. the traditional lex/yacc approach, or the use of regular
expressions. The pyparsing module provides a library of classes that client
code uses to construct the grammar directly in Python code.

This is the Python 3 version.

%prep
%setup -qn %{module}-%{version}
cp -a . %{py3dir}

%build
%py2_build

pushd %{py3dir}
%py3_build
popd

%install
%py2_install
%py_byte_compile %{__python2} %{buildroot}%{python2_sitelib}

pushd %{py3dir}
%py3_install
%py_byte_compile %{__python3} %{buildroot}%{python3_sitelib}
popd

%files
%doc CHANGES LICENSE README
%{python_sitelib}/*

%files docs
%doc docs/*

%files -n python3-%{module}
%doc CHANGES LICENSE README
%{python3_sitelib}/*

%changelog
* Sat Jun 30 2018 adrianomorselli <adrianomorselli> 2.2.0-1uplos2018
- imported for uplos
